#
# spec file for package xmag
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xmag
Version:        1.0.7
Release:        1.5
Summary:        Screen magnifier
License:        X11
Group:          System/X11/Utilities
URL:            https://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
Source1:        xmag.desktop
Source2:        xmag.png
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xt)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6

%description
xmag displays a magnified snapshot of a portion of an X11 screen.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install
%suse_update_desktop_file -i -u xmag Utility Accessibility DesktopUtility
install -m0644 -D %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/xmag.png

%files
%license COPYING
%doc ChangeLog README.md
%{_bindir}/xmag
%{_datadir}/applications/xmag.desktop
%{_datadir}/pixmaps/xmag.png
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/Xmag
%{_mandir}/man1/xmag.1%{?ext_man}

%changelog
* Tue Jul 12 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.7
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * Fix spelling/wording issues
  * gitlab CI: add a basic build test
  * Build xz tarballs instead of bzip2
  * Use _CONST_X_STRING to make libXt declare String as const char *
* Fri Mar 12 2021 Dirk Müller <dmueller@suse.com>
- refresh spec file (move license file)
* Fri Apr 24 2015 sndirsch@suse.com
- Update to version 1.0.6:
  * config: Add missing AC_CONFIG_SRCDIR
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * Fix typos & wording issues in source comments
  * Convert sprintf to snprintf
  * Delete trailing whitespace from *.[ch] files
* Thu Feb  6 2014 sndirsch@suse.com
- fixed license to X11 in specfile
* Fri Jan 18 2013 zaitor@opensuse.org
- Update to version 1.0.5:
  + Use lrint() from math library if available.
  + Remove obsolete ISC support.
  + man: remove trailing spaces and tabs.
  + config:
  - Move man pages into their own directory
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
  - Replace deprecated AC_HELP_STRING with AS_HELP_STRING.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xmag from xorg-x11. Initial version: 1.0.4.
